Watchlist Entities API
Platform-linkedPlatform-linked: the key’s login needs an API plan and a website plan with watchlists; ApiKey only. How this works.
List one page of companies on a watchlist, resolved to the same entity ids as filings and financials.
curl -X GET "https://example.com/v2/watchlists/entities?watchlist_id=string"{ "watchlist_id": "string", "name": "string", "count": 0, "page": 0, "size": 0, "truncated": true, "results": [ { "id": "string", "added_at": "string", "entity": { "name": "string", "name_short": "string", "full_ticker": "string", "normalized_ticker": "string", "exchange_code": "string", "composite_code": "string", "backlink_url": "string", "category": "string", "cik": "string", "edinet_code": "string", "lei": "string", "crd_number": "string", "series_id": "string", "internal_id": "string", "figi": "string", "composite_figi": "string", "share_class_figi": "string", "entity_is_public": 0, "is_person": 0, "is_actively_trading": 0, "sec_type": "string", "sec_type2": "string", "market_sector": "string", "generic_sic_code": "string", "score": 0, "resolved": true, "filer_type": "string", "fy": "string", "q": "string" } } ]}Query Parameters
watchlist_id*string
Watchlist id from Watchlists.
Length
1 <= length <= 20page?integer
1-indexed page. Default 1. Newest additions first.
Range
1 <= value <= 1000Default
1size?integer
Companies on this page. Default 20. Maximum 25.
Range
1 <= value <= 25Default
20Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json